if file attachments or images are not being displayed you may need to register/login
*** "All things are possible" Mark 10:27 ***
some areas of the website will be changing to be members only access ; if you have trouble accessing pages the solution is to register for your own user account

Author Topic: Promise FloppyMAX (Dec 1996) supports ls-120 floppy drive  (Read 1372 times)

0 Members and 1 Guest are viewing this topic.

Offline chrisNova777

  • Administrator
  • Posts: 8235
  • Gender: Male
  • "Vintage MIDI Sequencing + Audio Production"
    • www.oldschooldaw.com | vintage audio production software + hardware info
Promise FloppyMAX (Dec 1996) supports ls-120 floppy drive
« on: September 09, 2017, 01:33:50 PM »
https://web.archive.org/web/19970416030105/http://www.promise.com:80/html/sales/FLOPPYMAX-Main.html

https://web.archive.org/web/19970607081344/http://www.promise.com:80/HTML/press/FLOPPYMAX-PressRelease.HTML
https://web.archive.org/web/19970416031158/http://www.promise.com:80/HTML/SALES/FLOPPYMAX-LAUNCH.HTML

Quote
PROMISE TERRITORY - STORAGE LANDS

FLOPPYMAX:
Bootable ATAPI Controller For LS-120 Drives

Promise Technology introduces the world's first bootable ATAPI controller for LS-120 drives (O.R. Technology's "a:driveā„¢"). Now users can simply replace an existing 3.5" floppy drive with an LS-120 drive or add it as a second floppy to support LS-120 media (Imation's 120MB diskettes). It boots DOS for Windows 3.1x and DOS 5.x from 1.44MB/720KB floppies and boots to a DOS prompt under Windows 95 using a 120MB floppy.

FLOPPYMAX- Supports 120MB, 1.44, 720KB media
- Boots to DOS with 1.44 or 720MB diskettes
- Boots to a DOS prompt under Windows 95 from 120 MB media.*
- Assigns LS-120 drive as A or B** drive
- Replaces conventional 3.5" floppy drive with full backward compatibility
- Uses independent IDE/ATAPI device channel for conflict-free installation
- Easy installation with no software drivers
- Supports up to two LS-120 drives
- Works in PC-compatibles with a 16-bit ISA slot
- Supports DOS 5.0 and above, Windows 3.1x, Windows for Workgroups 3.11, Windows NT 3.51 with Service Pack 5, Windows 4.0 and Windows 95

* Requires already installed Windows 95.
** If system is not equipped with floppy, LS-120 drive will be treated as floppy A;
if system is eqipped with one floppy drive, LS-120 drive will be treated as floppy drive B
« Last Edit: September 09, 2017, 02:36:48 PM by chrisNova777 »

Offline chrisNova777

  • Administrator
  • Posts: 8235
  • Gender: Male
  • "Vintage MIDI Sequencing + Audio Production"
    • www.oldschooldaw.com | vintage audio production software + hardware info
« Last Edit: February 25, 2018, 11:23:51 AM by chrisNova777 »